Commit de386161 authored by Guillaume Delacour's avatar Guillaume Delacour

Drop my previous attempt to reproduce things while intrigeri has provided the right patch

parent 6bf23f24
gdisk (0.8.10-2) unstable; urgency=medium
* debian/patches/exit_condition.diff: Cherry-pick upstream fix to return
correct return code of successful commands in gdisk binary (Closes: #779797)
[ intrigeri ]
* Fixed-bug-that-caused-spurious-1-exit-condition-in-g.patch: new patch,
cherry-picked from upstream, that fixes spurious non-zero exit code
in many cases. (Closes: #779797)
-- Guillaume Delacour <gui@iroqwa.org> Tue, 10 Mar 2015 21:27:39 +0100
[ Guillaume Delacour ]
* Test partition table creation return code in upstream testsuite just to
be sure the bug is fixed
-- Guillaume Delacour <gui@iroqwa.org> Thu, 12 Mar 2015 23:39:16 +0100
gdisk (0.8.10-1) unstable; urgency=medium
......
Author: Roderick W. Smith <rodsmith@rodsbooks.com>
Description: Fix return code of successful commands
Origin: upstream, https://sourceforge.net/p/gptfdisk/code/ci/a920398fa393f9d6301b32b191bc01e086ab8bc8,
Bug-Debian: https://bugs.debian.org/779797
Last-Update: 2015-03-10
From: "Roderick W. Smith" <rodsmith@rodsbooks.com>
Date: Sat, 29 Mar 2014 00:45:59 -0400
Origin: http://sourceforge.net/p/gptfdisk/code/ci/a920398fa393f9d6301b32b191bc01e086ab8bc8
Bug: http://sourceforge.net/p/gptfdisk/mailman/message/32068566/
Subject: Fixed bug that caused spurious "1" exit condition in gdisk.
Index: gdisk/gdisk_test.sh
===================================================================
--- gdisk.orig/gdisk_test.sh
+++ gdisk/gdisk_test.sh
@@ -115,9 +115,23 @@ Y
w
Y
EOF
+
+ ret=$?
+ if [ $ret -ne 0 ]
+ then
+ pretty_print "FAILED" "gdisk return $ret when creating partition table"
+ exit 1
+ fi
;;
sgdisk)
$SGDISK_BIN $TEMP_DISK -${OPT_CLEAR}
+
+ ret=$?
+ if [ $ret -ne 0 ]
+ then
+ pretty_print "FAILED" "sgdisk return $ret when creating partition table"
+ exit 1
+ fi
;;
esac
Index: gdisk/gdisk.cc
===================================================================
--- gdisk.orig/gdisk.cc
+++ gdisk/gdisk.cc
---
gdisk.cc | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/gdisk.cc b/gdisk.cc
index b3c6240..5768869 100644
--- a/gdisk.cc
+++ b/gdisk.cc
@@ -15,6 +15,7 @@ int main(int argc, char* argv[]) {
GPTDataTextUI theGPT;
string device = "";
......
exit_condition.diff
Fixed-bug-that-caused-spurious-1-exit-condition-in-g.patch
ncursesw5.diff
set_default_partition_type-test.diff
manpages.diff
......
Author: Guillaume Delacour <gui@iroqwa.org>
Description: Test return code of successful commands
Forwarded: no
Last-Update: 2015-03-12
Index: gdisk/gdisk_test.sh
===================================================================
--- gdisk.orig/gdisk_test.sh
+++ gdisk/gdisk_test.sh
@@ -115,9 +115,23 @@ Y
w
Y
EOF
+
+ ret=$?
+ if [ $ret -ne 0 ]
+ then
+ pretty_print "FAILED" "gdisk return $ret when creating partition table"
+ exit 1
+ fi
;;
sgdisk)
$SGDISK_BIN $TEMP_DISK -${OPT_CLEAR}
+
+ ret=$?
+ if [ $ret -ne 0 ]
+ then
+ pretty_print "FAILED" "sgdisk return $ret when creating partition table"
+ exit 1
+ fi
;;
esac
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment